Bug 994987 - cannot delete content definition with published views
cannot delete content definition with published views
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Hayk Hovsepyan
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 06:58 EDT by Ales Dujicek
Modified: 2014-04-24 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-08-08 06:58:02 EDT
Description of problem:

when deleting content definition which has published view we get this database error:

ERROR:  update or delete on table "content_view_definition_bases" violates foreign key constraint "content_view_definition_bases_source_id_fk" on table "content_view_definition_bases"
DETAIL:  Key (id)=(4) is still referenced from table "content_view_definition_bases".

Version-Release number of selected component (if applicable):
katello-1.4.3-1.git.48.7a37c12.el6.noarch
katello-glue-pulp-1.4.3-1.git.48.7a37c12.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-configure-1.4.4-1.git.2.ce427c5.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-glue-elasticsearch-1.4.3-1.git.48.7a37c12.el6.noarch
katello-cli-1.4.3-1.git.7.a387813.el6.noarch
katello-common-1.4.3-1.git.48.7a37c12.el6.noarch
katello-selinux-1.4.4-1.el6.noarch
katello-glue-candlepin-1.4.3-1.git.48.7a37c12.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.4.3-1.git.7.a387813.el6.noarch
katello-all-1.4.3-1.git.48.7a37c12.el6.noarch


How reproducible:
always

Steps to Reproduce:
1. org create --name org2
2. content definition create --org org2 --name definition
3. content definition publish --org org2 --name definition --view_name view
4. content definition delete --org org2 --name definition
Comment 2 Brad Buckingham 2013-09-13 17:03:42 EDT
katello pull request:
https://github.com/Katello/katello/pull/2949
Comment 5 Hayk Hovsepyan 2013-10-09 10:35:53 EDT
Verified in revision:
signo-0.0.20-3.el6sat.noarch
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-1.3.0-13.el6sat.noarch
katello-cli-1.4.3-18.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.20-3.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
candlepin-cert-consumer-dionysus.usersys.redhat.com-1.0-1.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-12.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
foreman-proxy-1.3.0-2.el6sat.noarch
foreman-postgresql-1.3.0-13.el6sat.noarch
katello-cli-common-1.4.3-18.el6sat.noarch
katello-configure-1.4.5-9.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-common-1.4.6-21.el6sat.noarch
katello-glue-elasticsearch-1.4.6-21.el6sat.noarch
katello-glue-pulp-1.4.6-21.el6sat.noarch
katello-all-1.4.6-21.el6sat.noarch
katello-configure-foreman-1.4.5-9.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-9.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-glue-candlepin-1.4.6-21.el6sat.noarch
katello-1.4.6-21.el6sat.noarch
katello-foreman-all-1.4.6-21.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
Comment 6 Bryan Kearney 2014-04-24 13:09:58 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 7 Bryan Kearney 2014-04-24 13:11:19 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.